%define name		sim4
%define version		20020303
%define split_version	2002-03-03
%define release		3mdk

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Program to align cDNA and genomic DNA
Group:		Sciences/Biology
License:	GPL
URL:		http://globin.cse.psu.edu
Source:		%{name}.%{split_version}.tar.bz2
Patch0:		%{name}.makefile.patch.bz2
BuildRoot:      %{_tmppath}/%{name}-buildroot

%description
sim4 is a similarity-based tool for aligning an expressed DNA sequence
(EST, cDNA, mRNA) with a genomic sequence for the gene.
It also detects end matches when the two input sequences overlap at one end
(i.e., the start of one sequence overlaps the end of the other)

Reference for Sim4:
L. Florea, G. Hartzell, Z. Zhang, G. Rubin, and W. Miller (1998)
"A computer program for aligning a cDNA sequence with a genomic DNA sequence."
Genome Research 8, 967-974.

%prep
%setup -n %{name}.%{split_version}
%patch0 -p0

%build
%make

%install
rm -rf $RPM_BUILD_ROOT
install -m 755 %{name} -D $RPM_BUILD_ROOT%{_bindir}/%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc COPYRIGHT README.sim4 VERSION
%{_bindir}/%{name}

%changelog
* Wed Aug 04 2004 Guillaume Rousse <guillomovitch@mandrake.org> 20020303-3mdk 
- rebuild

* Mon Aug 04 2003 Per yvind Karlsen <peroyvind@linux-mandrake.com> 20020303-2mdk
- rebuild
- rm -rf $RPM_BUILD_ROOT in %%install, not %%prep
- cosmetics

* Sat Jan 25 2003 Guillaume Rousse <g.rousse@linux-mandrake.com> 20020303-1mdk
- first mdk release with a spec stolen from Luc Ducazu <luc@biolinux.org>
